<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('guest_before');

$guest=Factory::create('guest.main');
$action='show';
if (isset($_GET['action']) && is_callable(array($guest, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($guest, $action));

Hook::call('guest_after');